Switching to an USB 3.0 LAN Dongle post-install

Dixxhead
Posts: 4
Joined: Mon Mar 14, 2016 11:14 am

Switching to an USB 3.0 LAN Dongle post-install

Postby Dixxhead » Mon Jun 25, 2018 1:06 pm

Hello everyone,

I've been using Amahi as a NAS and VPN over the last couple of years. It's been running on an old ASUS Laptop (F5SL/X59SL) and doing quite great at that. Skip to tl;DR if you don't fancy understanding why I want to do this.

However, the Gigabit Ethernet chipset in that thing is a SiS 191 and after some googling I found out it seems to be a bit problematic, especially on linux based software. In fact, I did have some random full network crashes (e.g. could not reach the Amahi-machine remotely anymore). The machine itself was still running and not reporting any errors, however it would not ping anything anymore, unless I restarted it.

I first assumed it might be the USB 3.0 expansion card, since it mostly crashed whenever I did a lot of heavy file operations at the same time. However, through further testing with an internal HDD, I found out that even without USB 3.0 expansion attached the same crashes would appear (I could recreated them, by doing a Backup-image check and loading my Lightroom Catalogue off the NAS).

I then looked at the ifconfig -a report and saw, that a lot of TX-errors manifest themselves, whenver large amounts of data where read off the NAS. (see attached image)

Next, I tried attaching a USB 3.0 Dongle to my USB 3.0 expansion card and to my astonishment it pretty much worked plug & play, but several services, like VPN, seemed to misbehave somewhat (could not access router via vpn and the like). No more errors and also no more crashes!

Ok, tl;DR: How can I basicly "deactivate" the internal Lan (no Bios option) and replace it with the USB 3.0 Dongle (e.g. make that one (ens1p0) to (enp0s4)), so that I can run everything as it is? I tried to look at the guides the site provides about changing network interface/hardware post-install... but all of them seem to either be unapplicable to my Amahi Version or I just don't get what I have to do.

I'm running Amahi 10 on Fedora 25.
Attachments
TX errors.jpg
TX errors.jpg (94.63 KiB) Viewed 341 times

Who is online

Users browsing this forum: No registered users and 1 guest